sailpoint.object

## Enum ProvisioningPlan.Operation

- java.lang.Object
- - java.lang.Enum<ProvisioningPlan.Operation>
  - - sailpoint.object.ProvisioningPlan.Operation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ProvisioningPlan.Operation>

Enclosing class:
  ProvisioningPlan

    public static enum ProvisioningPlan.Operation
    extends java.lang.Enum<ProvisioningPlan.Operation>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Add`
`Remove`
`Retain`
`Revoke`
`Set`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getMessageKey()`
`static ProvisioningPlan.Operation` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ProvisioningPlan.Operation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Set

    public static final ProvisioningPlan.Operation Set

#### Add

    public static final ProvisioningPlan.Operation Add

#### Remove

    public static final ProvisioningPlan.Operation Remove

#### Revoke

    public static final ProvisioningPlan.Operation Revoke

#### Retain

    public static final ProvisioningPlan.Operation Retain

### Method Detail

#### values

    public static ProvisioningPlan.Operation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ProvisioningPlan.Operation c : ProvisioningPlan.Operation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ProvisioningPlan.Operation valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getMessageKey

    public java.lang.String getMessageKey()